﻿# Further reading at your own danger

init:
    # $ persistent.c1 = True
    # $ persistent.c2 = True
    # $ persistent.c3 = True
    # $ persistent.extras = True

    python:
        style.create('launcher_button', 'button')
        style.create('launcher_button_text', 'button_text')
        style.create('launcher_bottom_vbox', 'vbox')


        def button(text, hover_text=None, clicked=None, hovered=None, selected=False, **properties):
            if hover_text:
                def hovered(hover_text=hover_text):
                    if store.message != hover_text:
                        store.message = hover_text
                        renpy.restart_interaction()

            _button_factory(text, 'launcher', clicked=clicked, hovered=hovered, selected=selected, **properties)


        def imagebutton(hover_text="None", idle_image=None, hover_image=None, clicked=None, hovered=None, selected=False, **properties):
            if hover_text:
                def lhovered(hover_text=hover_text):
                    if store.message != hover_text:
                        store.message = hover_text
                        renpy.restart_interaction()
                    if hovered:
                        hovered()

            ui.imagebutton(idle_image, hover_image, clicked=clicked, hovered=lhovered, **properties)


        def bottom(focus="bottom"):
            ui.vbox(style='launcher_bottom_vbox', focus=focus)

        def interact():
            ui.window(background=Solid("#0008"), ypos=1.0, yminimum=20, xmargin=0, ymargin=0)
            ui.null()

            #ui.image("eileen_small.png", xalign=0.0, yalign=1.0)
            ui.add(DynamicDisplayable("Text(_(store.message), size=14, color='#fff', xalign=.5, yalign=1.0, xmaximum=240)"))
            #ui.text(renpy.version(), xalign=0, yalign=1.0, size=12, color='#000')

            return ui.interact(suppress_underlay=True)

    python:
        mkira = False
        mrisa = False
        mrygel = False
        msilva = False

        buttons_x = 0.95
        selected_col = (128, 128, 128, 64)

        def kira_on():
            global mkira
            mkira = True
        def kira_off():
            global mkira
            mkira = False

        def risa_on():
            global mrisa
            mrisa = True
        def risa_off():
            global mrisa
            mrisa = False

        def rygel_on():
            global mrygel
            mrygel = True
        def rygel_off():
            global mrygel
            mrygel = False

        def silva_on():
            global msilva
            msilva = True
        def silva_off():
            global msilva
            msilva = False

        def currchar(st, at):
            kiraim = "menu/kira.png"
            rygelim = "menu/rygel.png"
            risaim = "menu/risa.png"
            silvaim = "menu/silva.png"
            if not mkira:
                kiraim = im.Recolor(kiraim, 128, 128, 128, 255)
            if not mrygel:
                rygelim = im.Recolor(rygelim, 128, 128, 128, 255)
            if not mrisa:
                risaim = im.Recolor(risaim, 128, 128, 128, 255)
            if not msilva:
                silvaim = im.Recolor(silvaim, 128, 128, 128, 255)
            if persistent.c1 and persistent.c2 and persistent.c3:
                return LiveComposite((800, 600),
                                    (145+200+180, 600-513), silvaim,
                                    (-80, 600-480), kiraim,
                                    (105+200, 600-513), risaim,
                                    (85, 600-545), rygelim), 0.05
            if persistent.c1 and persistent.c2:
                return LiveComposite((800, 600),
                                    (-65, 600-545), rygelim,
                                    (85+200+180, 600-480), kiraim,
                                    (25+200, 600-513), risaim), 0.05
            else:
                return LiveComposite((800, 600),
                                    (0, 600-545), rygelim,
                                    (290, 600-513), risaim), 0.05

init:
    $ unselected = Solid((128,128,128,0))
    $ selected = Solid((128,128,128,128))
    $ selected = Solid((128,128,128,0))

label main_menu:
    $ renpy.context().main_menu = True
    $ store.message = "What do you want to do?"
    python hide:
        ui.add(renpy.Keymap(toggle_fullscreen = renpy.toggle_fullscreen))
        ui.window(style='mm_root')
        ui.null()
        ui.image("menu/templogo.png", xalign = 0.025, ypos = -10)
        ui.image(SnowBlossom(anim.Filmstrip("sakura.png", (20, 20), (2, 1), .15), fast=True))
        ui.image(DynamicDisplayable(currchar))
        ui.image(SnowBlossom(anim.Filmstrip("sakura.png", (20, 20), (2, 1), .15), fast=True))
        while True:
            ui.frame(xpos=1.015, ypos=-0.015, xanchor='right', yanchor='top', xfill=False,)
            ui.hbox()
            button("Load", "Loads Game", _intra_jumps("_load_screen", "main_game_transition"), xminimum = 150)
            if persistent.extras:
                button("Extras", "Extras", ui.jumpsoutofcontext("extras"), xminimum = 150)
            button("Preferences", "Set preferences", _intra_jumps("_prefs_screen", "main_game_transition"), xminimum = 150)
            button("Quit", "Quits game", clicked=ui.jumps("_quit"), xminimum = 150)
            ui.close()


            if persistent.c1 and persistent.c2 and persistent.c3:
                imagebutton ("Part I: Rygel", LiveComposite((230,530), (0,0), unselected), LiveComposite((230,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c1"),hovered = rygel_on, unhovered = rygel_off, xpos = 170, ypos = 80)
                imagebutton ("Part II: Risa", LiveComposite((210,530), (0,0), unselected), LiveComposite((210,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c2"),hovered = risa_on, unhovered = risa_off, xpos = 400, ypos = 80)
                imagebutton ("Part III: Kira", LiveComposite((170,530), (0,0), unselected), LiveComposite((170,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c3"),hovered = kira_on, unhovered = kira_off, xpos = 0, ypos = 80)
                imagebutton ("Part IV: Silva", LiveComposite((230,530), (0,0), unselected), LiveComposite((230,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c4"),hovered = silva_on, unhovered = silva_off, xpos = 610, ypos = 100)

            elif persistent.c1 and persistent.c2:
                imagebutton ("Part I: Rygel", LiveComposite((270,530), (0,0), unselected), LiveComposite((270,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c1"),hovered = rygel_on, unhovered = rygel_off, xpos = 0, ypos = 80)
                imagebutton ("Part II: Risa", LiveComposite((270,530), (0,0), unselected), LiveComposite((270,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c2"),hovered = risa_on, unhovered = risa_off, xpos = 270, ypos = 80)
                imagebutton ("Part III: Kira", LiveComposite((260,530), (0,0), unselected), LiveComposite((260,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c3"),hovered = kira_on, unhovered = kira_off, xpos = 540, ypos = 100)

            else:
                imagebutton ("Part I: Rygel", LiveComposite((290,530), (0,0), unselected), LiveComposite((290,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c1"),hovered = rygel_on, unhovered = rygel_off, xpos = 35, ypos = 80)
                imagebutton ("Part II: Risa", LiveComposite((290,530), (0,0), unselected), LiveComposite((290,530), (0,0), selected), clicked=ui.jumpsoutofcontext("c2"),hovered = risa_on, unhovered = risa_off, xpos = 325, ypos = 80)


            type, value = interact()


label end:
    if persistent.c1 or persistent.c2:
        $ persistent.unlocked = 3

    $ renpy.full_restart()
